SDL_HINT_SHUTDOWN_DBUS_ON_QUIT(3)

NAME
SDL_HINT_SHUTDOWN_DBUS_ON_QUIT - A variable controlling whether SDL calls dbus_shutdown() on quit.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_SHUTDOWN_DBUS_ON_QUIT SDL_SHUTDOWN_DBUS_ON_QUIT"

DESCRIPTION
This is useful as a debug tool to validate memory leaks, but shouldn't ever be set in production applications, as other libraries used by the application might use dbus under the hood and this can cause crashes if they continue after SDL_Quit ().

The variable can be set to the following values:

• "0": SDL will not call dbus_shutdown() on quit. (default)

• "1": SDL will call dbus_shutdown() on quit.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.